Package com.destroystokyo.paper

# Class MaterialSetTag

java.lang.Object
io.papermc.paper.tag.BaseTag<Material,MaterialSetTag>
com.destroystokyo.paper.MaterialSetTag

All Implemented Interfaces:
  `net.kyori.adventure.key.Keyed`, `Keyed`, `Tag<Material>`

public class MaterialSetTag extends BaseTag<Material,MaterialSetTag>

## Field Summary

### Fields inherited from class io.papermc.paper.tag.BaseTag

`key, tagged`

### Fields inherited from interface org.bukkit.Tag

`ACACIA_LOGS, ANIMALS_SPAWNABLE_ON, ANVIL, ARROWS, AXOLOTL_TEMPT_ITEMS, AXOLOTLS_SPAWNABLE_ON, AZALEA_GROWS_ON, AZALEA_ROOT_REPLACEABLE, BAMBOO_PLANTABLE_ON, BANNERS, BASE_STONE_NETHER, BASE_STONE_OVERWORLD, BEACON_BASE_BLOCKS, BEDS, BEE_GROWABLES, BEEHIVE_INHABITORS, BEEHIVES, BIG_DRIPLEAF_PLACEABLE, BIRCH_LOGS, BUTTONS, CAMPFIRES, CANDLE_CAKES, CANDLES, CARPETS, CAULDRONS, CAVE_VINES, CLIMBABLE, CLUSTER_MAX_HARVESTABLES, COAL_ORES, COPPER_ORES, CORAL_BLOCKS, CORAL_PLANTS, CORALS, CRIMSON_STEMS, CROPS, CRYSTAL_SOUND_BLOCKS, DARK_OAK_LOGS, DEEPSLATE_ORE_REPLACEABLES, DIAMOND_ORES, DIRT, DOORS, DRAGON_IMMUNE, DRIPSTONE_REPLACEABLE, EMERALD_ORES, ENDERMAN_HOLDABLE, ENTITY_TYPES_ARROWS, ENTITY_TYPES_AXOLOTL_ALWAYS_HOSTILES, ENTITY_TYPES_AXOLOTL_HUNT_TARGETS, ENTITY_TYPES_BEEHIVE_INHABITORS, ENTITY_TYPES_FREEZE_HURTS_EXTRA_TYPES, ENTITY_TYPES_FREEZE_IMMUNE_ENTITY_TYPES, ENTITY_TYPES_IMPACT_PROJECTILES, ENTITY_TYPES_POWDER_SNOW_WALKABLE_MOBS, ENTITY_TYPES_RAIDERS, ENTITY_TYPES_SKELETONS, FALL_DAMAGE_RESETTING, FEATURES_CANNOT_REPLACE, FENCE_GATES, FENCES, FIRE, FLOWER_POTS, FLOWERS, FLUIDS_LAVA, FLUIDS_WATER, FOX_FOOD, FOXES_SPAWNABLE_ON, FREEZE_IMMUNE_WEARABLES, GAME_EVENT_IGNORE_VIBRATIONS_SNEAKING, GAME_EVENT_VIBRATIONS, GEODE_INVALID_BLOCKS, GOATS_SPAWNABLE_ON, GOLD_ORES, GUARDED_BY_PIGLINS, HOGLIN_REPELLENTS, ICE, IGNORED_BY_PIGLIN_BABIES, IMPACT_PROJECTILES, IMPERMEABLE, INFINIBURN_END, INFINIBURN_NETHER, INFINIBURN_OVERWORLD, INSIDE_STEP_SOUND_BLOCKS, IRON_ORES, ITEMS_ARROWS, ITEMS_BANNERS, ITEMS_BEACON_PAYMENT_ITEMS, ITEMS_BOATS, ITEMS_COALS, ITEMS_CREEPER_DROP_MUSIC_DISCS, ITEMS_FISHES, ITEMS_FURNACE_MATERIALS, ITEMS_LECTERN_BOOKS, ITEMS_MUSIC_DISCS, ITEMS_PIGLIN_LOVED, ITEMS_STONE_TOOL_MATERIALS, JUNGLE_LOGS, LAPIS_ORES, LAVA_POOL_STONE_CANNOT_REPLACE, LEAVES, LOGS, LOGS_THAT_BURN, LUSH_GROUND_REPLACEABLE, MINEABLE_AXE, MINEABLE_HOE, MINEABLE_PICKAXE, MINEABLE_SHOVEL, MOOSHROOMS_SPAWNABLE_ON, MOSS_REPLACEABLE, MUSHROOM_GROW_BLOCK, NEEDS_DIAMOND_TOOL, NEEDS_IRON_TOOL, NEEDS_STONE_TOOL, NON_FLAMMABLE_WOOD, NYLIUM, OAK_LOGS, OCCLUDES_VIBRATION_SIGNALS, PARROTS_SPAWNABLE_ON, PIGLIN_FOOD, PIGLIN_REPELLENTS, PLANKS, POLAR_BEARS_SPAWNABLE_ON_IN_FROZEN_OCEAN, PORTALS, PRESSURE_PLATES, PREVENT_MOB_SPAWNING_INSIDE, RABBITS_SPAWNABLE_ON, RAIDERS, RAILS, REDSTONE_ORES, REGISTRY_BLOCKS, REGISTRY_ENTITIES, REGISTRY_ENTITY_TYPES, REGISTRY_FLUIDS, REGISTRY_GAME_EVENTS, REGISTRY_ITEMS, REPLACEABLE_PLANTS, SAND, SAPLINGS, SHULKER_BOXES, SIGNS, SKELETONS, SLABS, SMALL_DRIPLEAF_PLACEABLE, SMALL_FLOWERS, SNOW, SOUL_FIRE_BASE_BLOCKS, SOUL_SPEED_BLOCKS, SPRUCE_LOGS, STAIRS, STANDING_SIGNS, STONE_BRICKS, STONE_ORE_REPLACEABLES, STONE_PRESSURE_PLATES, STRIDER_WARM_BLOCKS, TALL_FLOWERS, TERRACOTTA, TRAPDOORS, UNDERWATER_BONEMEALS, UNSTABLE_BOTTOM_CENTER, VALID_SPAWN, WALL_CORALS, WALL_POST_OVERRIDE, WALL_SIGNS, WALLS, WARPED_STEMS, WART_BLOCKS, WITHER_IMMUNE, WITHER_SUMMON_BASE_BLOCKS, WOLVES_SPAWNABLE_ON, WOODEN_BUTTONS, WOODEN_DOORS, WOODEN_FENCES, WOODEN_PRESSURE_PLATES, WOODEN_SLABS, WOODEN_STAIRS, WOODEN_TRAPDOORS, WOOL`

## Constructor Summary

Constructors
Constructor
Description
`MaterialSetTag(@NotNull Collection<Material> materials)`
Deprecated.
Use NamespacedKey version of constructor
`MaterialSetTag(@NotNull Predicate<Material> filter)`
Deprecated.
Use NamespacedKey version of constructor
`MaterialSetTag(@NotNull Material... materials)`
Deprecated.
Use NamespacedKey version of constructor
`MaterialSetTag(@Nullable NamespacedKey key, @NotNull Collection<Material> materials)`
`MaterialSetTag(@Nullable NamespacedKey key, @NotNull Collection<Material> materials, @NotNull Predicate<Material>... globalPredicates)`
`MaterialSetTag(@Nullable NamespacedKey key, @NotNull Predicate<Material> filter)`
`MaterialSetTag(@Nullable NamespacedKey key, @NotNull Material... materials)`

## Method Summary

Modifier and Type
Method
Description
`protected @NotNull Set<Material>`
`getAllPossibleValues()`
`protected @NotNull String`
`getName(@NotNull Material value)`
`boolean`
`isTagged(@NotNull Block block)`
`boolean`
`isTagged(@NotNull BlockState block)`
`boolean`
`isTagged(@NotNull BlockData block)`
`boolean`
`isTagged(@NotNull ItemStack item)`
`boolean`
`isTagged(@NotNull Material material)`
Returns whether or not this tag has an entry for the specified item.

### Methods inherited from class io.papermc.paper.tag.BaseTag

`add, add, add, add, contains, endsWith, ensureSize, getKey, getValues, isLocked, lock, not, not, not, not, notContains, notEndsWith, notStartsWith, startsWith`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Constructor Details

### MaterialSetTag

@Deprecated public MaterialSetTag(@NotNull @NotNull Predicate<Material> filter)
Deprecated.
Use NamespacedKey version of constructor

### MaterialSetTag

@Deprecated public MaterialSetTag(@NotNull @NotNull Collection<Material> materials)
Deprecated.
Use NamespacedKey version of constructor

### MaterialSetTag

@Deprecated public MaterialSetTag(@NotNull @NotNull Material... materials)
Deprecated.
Use NamespacedKey version of constructor

### MaterialSetTag

public MaterialSetTag(@Nullable @Nullable NamespacedKey key, @NotNull @NotNull Predicate<Material> filter)

### MaterialSetTag

public MaterialSetTag(@Nullable @Nullable NamespacedKey key, @NotNull @NotNull Material... materials)

### MaterialSetTag

public MaterialSetTag(@Nullable @Nullable NamespacedKey key, @NotNull @NotNull Collection<Material> materials)

### MaterialSetTag

public MaterialSetTag(@Nullable @Nullable NamespacedKey key, @NotNull @NotNull Collection<Material> materials, @NotNull @NotNull Predicate<Material>... globalPredicates)

## Method Details

### getAllPossibleValues

@NotNull protected @NotNull Set<Material> getAllPossibleValues()

Specified by:
  `getAllPossibleValues` in class `BaseTag<Material,MaterialSetTag>`

### getName

@NotNull protected @NotNull String getName(@NotNull @NotNull Material value)

Specified by:
  `getName` in class `BaseTag<Material,MaterialSetTag>`

### isTagged

public boolean isTagged(@NotNull @NotNull BlockData block)

### isTagged

public boolean isTagged(@NotNull @NotNull BlockState block)

### isTagged

public boolean isTagged(@NotNull @NotNull Block block)

### isTagged

public boolean isTagged(@NotNull @NotNull ItemStack item)

### isTagged

public boolean isTagged(@NotNull @NotNull Material material)
Description copied from interface: `Tag`
Returns whether or not this tag has an entry for the specified item.

Specified by:
  `isTagged` in interface `Tag<Material>`
Overrides:
  `isTagged` in class `BaseTag<Material,MaterialSetTag>`
Parameters:
  `material` - to check
Returns:
  if it is tagged